Name:		sys_basher
Version:	2.0.2
Release:	1%{?dist}
Summary:	A multithreaded hardware exerciser

Group:		Applications/System
License:	BSD
URL:		http://www.polybus.com/sys_basher_web/	
Source0:	http://www.polybus.com/sys_basher/%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	tcsh
BuildRequires:	lm_sensors-devel
BuildRequires:	help2man

Requires: lm_sensors dmidecode

ExcludeArch: ppc ppc64 armv3l armv4b armv4l armv4tl armv5tel armv5tejl armv6l armv7l armv7hl armv7hnl

%description
sys_basher is a multithreaded system exerciser. It tests the CPU, RAM and Disks
under conditions of maximum stress by running CPU, Memory and Disk tests on all
Cores simultaneously. In addition to reliablity testing, sys_basher measures
low level functions including memory bandwidth, disk IO bandwidth and integer
and floating point operations using unrolled loops.

%prep
%setup -q


%build
echo %{?dist}
echo %{?fedora}
echo %{?rhel}
echo 0%{?dist}
echo 0%{?fedora}
echo 0%{?rhel}
echo 1%{?dist}
echo 1%{?fedora}
echo 1%{?rhel}
%if  0%{?rhel} > 5 || 0%{?fedora} > 1
echo el6,7 or fedora
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
%else %{rhel} > 5)
echo el5
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" sys_basher2
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if 0%{?rhel} > 5 || 0%{?fedora} > 1
make install DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} MANDIR=%{_mandir} INITDIR=%{_initrddir}
%else
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" sys_basher2
help2man -N ./sys_basher -o sys_basher.1
%{__install} -p -D -m 0755 sys_basher $RPM_BUILD_ROOT%{_bindir}/sys_basher
%{__install} -p -D -m 0755 sys_basher_setup $RPM_BUILD_ROOT%{_bindir}/sys_basher_setup
%{__install} -p -D -m 0755 sys_basher_disable_oom $RPM_BUILD_ROOT%{_bindir}/sys_basher_disable_oom
%{__install} -p -D -m 0755 sys_basher.init $RPM_BUILD_ROOT%{_initrddir}/sys_basher.init
%{__install} -p -D -m 644 sys_basher.1 $RPM_BUILD_ROOT%{_mandir}/man1/sys_basher.1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add sys_basher.init
/etc/rc.d/init.d/sys_basher.init start

%files
%defattr(-,root,root,-)
%doc README COPYRIGHT
%{_bindir}/sys_basher
%{_bindir}/sys_basher_setup
%{_bindir}/sys_basher_disable_oom
%{_initrddir}/sys_basher.init
%{_mandir}/man1/sys_basher.1.*



%changelog
* Thu  Jan 1 2015 Joshua Rosen <bjrosen@polybus.com>
- 2.0.2-1 Can now handle any number of CPUs, formally it was limited to 32. Added OOM diable script

* Tue Jul 29 2014 Joshua Rosen <bjrosen@polybus.com>
- 2.0.1-7 Makefile change, fixes a bug in Debian systems, no effect on Redhat systems

* Sun Jun 22 2014 Joshua Rosen <bjrosen@polybus.com>
- 2.0.1-6 Excluded all ppc64

* Thu Jun 19 2014 Joshua Rosen <bjrosen@polybus.com>
- 2.0.1-5 Excluded all arms, added CPU Frequency tracking, added sys_basher_setup script to generate DMI info for sys_basher

* Wed Jun 18 2014 Joshua Rosen <bjrosen@polybus.com>
- 2.0.1-4 Excluded armv7hl

* Tue Jun 17 2014 Joshua Rosen <bjrosen@polybus.com>
- 2.0.1-2 Can now identify the location of a bad DIMM

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Joshua Rosen <bjrosen@polybus.com>
- 1.1.25-2
- Added exclude arm
* Mon May 26 2014 Joshua Rosen <bjrosen@polybus.com>
- 1.1.25-1
- Added verbose modes to memory tests. Added random data memory tests. Added double checking to memory tests
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 9 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.24-1
- Documented the stop on error switch
* Thu Aug 20 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.22-2
- Added ExcludeArch: ppc
* Wed Aug 19 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.22-1
- Added finer grained control over the memory tests. Added support for >8G in Bit reverse address tests.
* Tue Aug 18 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.22-1
- Added voltage and fan speed reporting, added bit reverse addr test
* Thu Aug 13 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.21-1
- Improved random number test, added memory refresh test, increased MAX_CORES from 16 to 32, Changed BuildRoot
* Wed Aug 12 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.20-1
- Added a prototype for the open call in sys_disk
* Wed Aug 12 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.19-2
- Spec file clean up
* Wed Aug 12 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.19-1
- Cleaned up lint errors.
* Wed Aug 12 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.18-2
- Changed the build_sensors.csh script so that it's Ubuntu compatible.
* Tue Aug 11 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.18-1
- Changed -help output, added man file
* Tue Aug 11 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.17-6
- Changed sbinder to binder, added CFLAGS="$RPM_OPT_FLAGS" to make statement, removed -lform from Makefile
* Tue Aug 11 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.17-5
- Removed ncurses from the includes
* Mon Aug 10 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.17-4
- Changed Makefile to be Fedora friendly. Removed ncurses dependency
* Mon Aug 10 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.17-3
- Changed license from original BSD to New BSD
* Mon Aug 10 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.17-2
- Some fixes suggested by Fedora packagers
* Mon Aug 10 2009 Joshua Rosen <bjrosen@polybus.com>
- 1.1.17-1
- First package release

